<script setup>
import pcIndex from '@/views/navigation/pc-index.vue'
import modelIndex from '@/views/navigation/model-index.vue'
import {ref} from "vue";
const mediaQueryList = window.matchMedia('(max-width: 768px)');
const currentComponent=ref(modelIndex)
mediaQueryList.addListener(function(event) {
  if (event.matches) {
    currentComponent.value=modelIndex
  } else {
    currentComponent.value=pcIndex
  }
});
</script>
<template>
 <div>
   <component :is="currentComponent" />
 </div>
</template>
<style scoped lang="scss">
</style>
